Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 211670 - net-nntp/pan-0.132 GCC 4.3 patch
Summary: net-nntp/pan-0.132 GCC 4.3 patch
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: [OLD] GCC Porting (show other bugs)
Hardware: All Linux
: High normal (vote)
Assignee: net-news Herd
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: gcc-4.3
  Show dependency tree
 
Reported: 2008-02-27 19:56 UTC by Harald van Dijk (RETIRED)
Modified: 2008-04-13 10:58 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
pan-0.132-gcc43.patch (gcc43.patch,2.02 KB, patch)
2008-02-27 19:57 UTC, Harald van Dijk (RETIRED)
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Harald van Dijk (RETIRED) gentoo-dev 2008-02-27 19:56:37 UTC
net-nntp/pan-0.132 fails to build with gcc 4.3, due to missing #includes. This patch makes it compile and run without problems. A warning is generated for the use of the now-deprecated <ext/hash_set> header, but that's something that should be fixed either when it starts causing problems, or when upstream gets around to it.
Comment 1 Harald van Dijk (RETIRED) gentoo-dev 2008-02-27 19:57:30 UTC
Created attachment 144772 [details, diff]
pan-0.132-gcc43.patch
Comment 2 Ryan Hill (RETIRED) gentoo-dev 2008-02-28 01:31:48 UTC
added to gcc-porting overlay
Comment 3 Duncan 2008-03-27 14:54:56 UTC
FWIW, the upstream/pan bug, using a slightly different patch, is

http://bugzilla.gnome.org/show_bug.cgi?id=524625

Duncan
Comment 4 Gilles Dartiguelongue gentoo-dev 2008-04-13 10:58:28 UTC
applet in -r2, thanks.